//-----------------------------------------------------------------------------
//
//  $Logfile:: /game/chaingun.h                                                  $
// $Revision:: 2                                                              $
//   $Author:: Burgermac                                                      $
//     $Date:: 12/27/00 7:06 PM                                               $
//
// Copyright (C) 1998 by Ritual Entertainment, Inc.
// All rights reserved.
//
// This source is may not be distributed and/or modified without
// expressly written permission by Ritual Entertainment, Inc.
//
// DESCRIPTION:
// High Velocity Gun
//

#ifndef __CHAINGUN_H__
#define __CHAINGUN_H__

#include "g_local.h"
#include "item.h"
#include "weapon.h"
#include "bullet.h"
#include "specialfx.h"

class Grenade : public Projectile
{
public:
	CLASS_PROTOTYPE( Grenade );

	virtual void      Explode( Event* ev );
	virtual void      Grenade_Touch( Event* ev );
	void                    Setup( Entity* owner, Vector pos, Vector forward, Vector up, Vector right );

};

class ChainGun : public BulletWeapon
{
public:
	CLASS_PROTOTYPE( ChainGun );

	/*ChainGun::*/ ChainGun();
	virtual void        Shoot( Event* ev );
	virtual qboolean  HasAmmo( Event* ev );
};

#endif /* ChainGun.h */
